org.apache.ignite.internal

## Class GridInternalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.GridInternalException

All Implemented Interfaces:
  Serializable

    public class GridInternalException
    extends IgniteCheckedException

When log debug mode is disabled this exception should be logged in short form - without stack trace.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridInternalException()` `Externalizable` support.
`GridInternalException(String msg)` Creates new internal exception with given error message.
`GridInternalException(String msg, @Nullable Throwable cause)` Creates new internal exception with given error message and optional nested exception.
`GridInternalException(Throwable cause)` Creates new internal exception given throwable as a cause and source of error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridInternalException

    public GridInternalException()

`Externalizable` support.

#### GridInternalException

    public GridInternalException(String msg)

Creates new internal exception with given error message.

Parameters:
  `msg` - Error message.

#### GridInternalException

    public GridInternalException(Throwable cause)

Creates new internal exception given throwable as a cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### GridInternalException

    public GridInternalException(String msg,
                                 @Nullable
                                 @Nullable Throwable cause)

Creates new internal exception with given error message and optional nested exception.

Parameters:
  `msg` - Exception message.
  `cause` - Optional cause.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022